services:
  cronicle-edge:
    container_name: cronicle-edge
    hostname: cronicle-edge
    image: ghcr.io/cronicle-edge/cronicle-edge:main
    command: manager
    stdin_open: true
    tty: true
    ports:
      - 3012:3012
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/data:/opt/cronicle/data
      - ${DOCKER_CONFIGS}/server-root:/opt/cronicle/server-root:ro

networks:
  reverse-proxy:
    external: true
